# (Lovingly) ripped off from a reply to the post at
# http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/65212
# function code from that page
# User Interface + comments created by Alan Gilfoy, 2007

def baseconvert(n, base):
    """convert positive decimal integer n to equivalent in another base (2-36)"""

    digits = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"
    # a thru z only apply in base 11 and up.
    # base 11 uses only a, base 12 uses a thru b, base 13 uses a thru c, and so on.
    # 'a' is equivalent to '10' in decimal, 'b' is equivalent to '11', etc.

    try:
        n = int(n)
        base = int(base)
    except:
        return ""
    
    if n < 0 or base < 2 or base > 36:
        return ""

    s = ""
    while 1:
        r = n % base
        s = digits[r] + s
        n = n / base
        if n == 0:
            break

    return s

#Start of the User Interface

running = True
while running:
    choice = raw_input("Run a conversion (or another conversion) now? Y (for Yes) or N (for No).")

    if choice == "Y":
        n = int(raw_input("What decimal number do you want to convert?"))
        base = int(raw_input("To what base do you want to convert it? (whole numbers 2 through 36 only.)"))
        print
        print
        print n, "in base", base, "is", baseconvert(n, base)

    if choice == "N":
        running = False

end = raw_input("Type something here, press Enter, and the program will shut down.")
