# Alantech Roman Numeral Converter
# The main program
# (c) Alan Gilfoy, 2007
# v. 1.0 03-15-2007

from roman import *

print "Welcome to the Alantech Roman Numeral Converter."
print "This program can convert from base-10 Arabic numerals to Roman numerals, and vice versa."
print
print "The basic Roman numerals (drumroll please):"
print "I = 1, V = 5, X = 10, L = 50, C = 100, D = 500, M = 1000."
print

running = True
while running:
    print "At the prompt, please choose 'dtr' for a base-10 (decimal) to Roman conversion,"
    print "'rtd' for a Roman-to-digital conversion, or 'done' for when you're done."
    print
    choice = raw_input("dtr, rtd, or done?")

    if choice == "dtr":
        print
        print "This section converts base-10 (decimal) Arabic numerals to Roman numerals."
        print
        decimal_input = (raw_input("What base 10 number would you like to convert into Roman numerals? Please enter it. (without any commas or spaces)"))
        print
        roman_result = decimal_to_roman(decimal_input)
        print
        print "The Roman-numeral equivalent of", decimal_input, "is", roman_result, "."
        print

    if choice == "rtd":
        print "This section converts Roman numerals to base-10 (decimal) Arabic numerals."
        print
        raw_roman_input = raw_input("Please enter the Roman numeral you wish to convert to decimal (base-10), as a combination of I,V,X,L,C,D, or M. (use no spaces or commas.)")
        print
        decimal_result = roman_to_decimal(raw_roman_input)
        print
        print "The base-10 Arabic numeral equivalent of", raw_roman_input, "is", decimal_result, "."

    elif choice == "done":
        running = False

    else:
        print "Please enter dtr, rtd, or Done."

#If the user chooses 'Done', the variable 'running' will switch off, triggering the following statement:
if running == False:
    raw_input("Type in something, press Enter, and the program will shut down. Thank you for using the Alantech Roman Numeral Converter.")
